package cn.hanghui.outapi.platform.tenant.entity.enums;

import cn.hutool.core.util.StrUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description: 摄像头类型
 * @ClassName
 */
@AllArgsConstructor
@Getter
public enum CameraTypeEnum {

    MONO("MONO", "单目"),
    IR("IR", "双目"),
    THREE_D("3D", "3D结构光"),
    ;

    public static CameraTypeEnum getEnumByCode(String code) {
        if (StrUtil.isBlank(code)) {
            return null;
        }
        for (CameraTypeEnum enumObject : values()) {
            if (enumObject.code.equals(code)) {
                return enumObject;
            }
        }
        return null;
    }

    private String code;
    private String desc;


}
